Bug 1397347 (CVE-2016-7433) - CVE-2016-7433 ntp: Broken initial sync calculations regression
Summary: CVE-2016-7433 ntp: Broken initial sync calculations regression
Status: CLOSED ERRATA
Alias: CVE-2016-7433
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161121,reported=2...
Keywords: Security
Depends On: 1397351 1411642 1411643 1411644 1411645
Blocks: 1397349
TreeView+ depends on / blocked
 
Reported: 2016-11-22 11:00 UTC by Adam Mariš
Modified: 2019-06-08 21:35 UTC (History)
7 users (show)

(edit)
A flaw was found in the way ntpd calculated the root delay. A remote attacker could send a specially-crafted spoofed packet to cause denial of service or in some special cases even crash.
Clone Of:
(edit)
Last Closed: 2017-02-06 06:50:38 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0252 normal SHIPPED_LIVE Moderate: ntp security update 2017-02-06 11:16:56 UTC

Description Adam Mariš 2016-11-22 11:00:52 UTC
Bug 2085 described a condition where the root delay was included twice, causing the jitter value to be higher than expected. Due to a misinterpretation of a small-print variable in The Book, the fix for this problem was incorrect, resulting in a root distance that did not include the peer dispersion. The calculations and formulae have been reviewed and reconciled, and the code has been updated accordingly.

External References:

http://support.ntp.org/bin/view/Main/NtpBug3067

Comment 1 Adam Mariš 2016-11-22 11:09:40 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1397351]

Comment 2 Huzaifa S. Sidhpurwala 2017-01-04 08:21:54 UTC
Analysis:

When an offpath attacker can spoof the first ntp reply, ntpd will jump and when it gets a real response, it will exit.

Comment 4 Keyur Pujara 2017-01-16 11:30:34 UTC
Is an RPM released with fix for this. I haven't seen one @ http://mirror.centos.org. 

If not released, what is ETA for same?

Thanks, Keyur

Comment 5 Brian Hinz 2017-01-31 14:18:18 UTC
Wondering the same thing.  Is an errata update for el6/el7 forthcoming?  Thanks.

Comment 6 errata-xmlrpc 2017-02-06 06:17:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:0252 https://rhn.redhat.com/errata/RHSA-2017-0252.html


Note You need to log in before you can comment on or make changes to this bug.